Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class TempReadStream

    java.lang.Object
      |
      +--com.caucho.vfs.StreamImpl
            |
            +--com.caucho.vfs.TempReadStream

public class TempReadStream
extends StreamImpl

Fields inherited from class com.caucho.vfs.StreamImpl
`path`

Constructor Summary
`TempReadStream(TempBuffer cursor)`

Method Summary
`boolean` | `canRead()`
`void` | `close()`
`int` | `getAvailable()`
`void` | `init(TempBuffer cursor)`
`void` | `init(TempBuffer cursor, Path path)`
`int` | `read(byte[] buf, int offset, int length)`
`void` | `setFreeWhenDone(boolean free)`

Methods inherited from class com.caucho.vfs.StreamImpl
`canWrite, clearWrite, flush, getAttribute, getAttributeNames, getFlushOnNewline, getNewline, getPath, removeAttribute, setAttribute, setPath, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TempReadStream

    public TempReadStream(TempBuffer cursor)

Method Detail

### init

    public void init(TempBuffer cursor,
                     Path path)

### init

    public void init(TempBuffer cursor)

### setFreeWhenDone

    public void setFreeWhenDone(boolean free)

### canRead

    public boolean canRead()

  Overrides:
    `canRead` in class `StreamImpl`

### read

    public int read(byte[] buf,
                    int offset,
                    int length)
             throws java.io.IOException

  Overrides:
    `read` in class `StreamImpl`

### getAvailable

    public int getAvailable()
                     throws java.io.IOException

  Overrides:
    `getAvailable` in class `StreamImpl`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `StreamImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD